/**
** BASE
**/
@import "variables.css";

/**
** SITE LOADER
**/
#site-loader {
    position: fixed;
    inset: 0;
    z-index: 9999;
    background: var(--layer-ground-level-0);
    display: flex;
    align-items: center;
    justify-content: center;
    pointer-events: none;
    opacity: 1;
    transition: opacity 0.5s var(--easing-inout);
}

#site-loader.is-silent {
    opacity: 0;
}

.loader-identity {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
}

.loader-name-row {
    display: flex;
    align-items: baseline;
    gap: 10px;
}

.loader-name {
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Helvetica, Arial, sans-serif;
    font-size: var(--body-size);
    font-weight: 700;
    color: var(--text-high);
    letter-spacing: 0;
}

.loader-role {
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Helvetica, Arial, sans-serif;
    font-size: var(--body-size);
    font-weight: 400;
    color: var(--text-medium);
}

.loader-line {
    width: 100%;
    height: 2px;
    background: var(--amber-500);
    transform-origin: center;
    transform: scaleX(0);
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    /*Base font size*/
    font-size: 18px;
}

:root {
    --image-border-radius: 16px;
}

h1 {
    font-size: var(--h1-size);
    font-weight: var(--h1-weight);
    line-height: var(--h1-line-height);
    letter-spacing: var(--h1-letter-spacing);
    margin: 0;
}

h2 {
    font-size: var(--h2-size);
    font-weight: var(--h2-weight);
    line-height: var(--h2-line-height);
    letter-spacing: var(--h2-letter-spacing);
    margin: 0;
}

h3 {
    font-size: var(--h3-size);
    font-weight: var(--h3-weight);
    line-height: var(--h3-line-height);
    letter-spacing: var(--h3-letter-spacing);
    margin: 0;
}

h4 {
    font-size: var(--h4-size);
    font-weight: var(--h4-weight);
    line-height: var(--h4-line-height);
    letter-spacing: var(--h4-letter-spacing);
    margin: 0;
}

h5 {
    font-size: var(--h5-size);
    font-weight: var(--h5-weight);
    line-height: var(--h5-line-height);
    letter-spacing: var(--h5-letter-spacing);
    margin: 0;
}

h6 {
    font-size: var(--h6-size);
    font-weight: var(--h6-weight);
    line-height: var(--h6-line-height);
    letter-spacing: var(--h6-letter-spacing);
    margin: 0;
}

.display-small {
    font-size: var(--display-small-size);
    font-weight: var(--display-small-weight);
    line-height: var(--display-small-line-height);
    letter-spacing: var(--display-small-letter-spacing);
}

.display-md {
    font-size: var(--display-md-size);
    font-weight: var(--display-md-weight);
    line-height: var(--display-md-line-height);
    letter-spacing: var(--display-md-letter-spacing);
}

.display-lg {
    font-size: var(--display-lg-size);
    font-weight: var(--display-lg-weight);
    line-height: var(--display-lg-line-height);
    letter-spacing: var(--display-lg-letter-spacing);
}

.display-xl {
    font-size: var(--displayxlg-size);
    font-weight: var(--display-xl-weight);
    line-height: var(--display-xl-line-height);
    letter-spacing: var(--display-xl-letter-spacing);
}

.body-3xl {
    font-size: var(--body-3xl-size);
    font-weight: var(--body-3xl-weight);
    line-height: var(--body-3xl-line-height);
    letter-spacing: var(--body-3xl-letter-spacing);
}

.body-2xl {
    font-size: var(--body-2xl-size);
    font-weight: var(--body-2xl-weight);
    line-height: var(--body-2xl-line-height);
    letter-spacing: var(--body-2xl-letter-spacing);
}

.body-xl {
    font-size: var(--body-xl-size);
    font-weight: var(--body-xl-weight);
    line-height: var(--body-xl-line-height);
    letter-spacing: var(--body-xl-letter-spacing);
}

.body-md {
    font-size: var(--body-size);
    font-weight: var(--body-weight);
    line-height: var(--body-line-height);
    letter-spacing: var(--body-letter-spacing);
}

.body-sm {
    font-size: var(--body-sm-size);
    font-weight: var(--body-sm-weight);
    line-height: var(--body-sm-line-height);
    letter-spacing: var(--body-sm-letter-spacing);
}

body {
    font-family: var(--font-family);
    color: var(--text-high);
    background-color: var(--layer-ground-level-0);
    -webkit-font-smoothing: antialiased;
    overscroll-behavior-x: none;
    overflow-x: hidden;
}

a,
span {
    text-decoration: none;
    transition: color .4s var(--easing-in);
}

a:hover,
a:hover span {
    color: var(--text-highlight);
}

.logo img {
    width: 48px;
    height: 48px;
}

.main-container {
    max-width: 1440px;
    margin: 0 auto;
    padding: 40px;
}

/**
** HEADER
**/
header {
    display: flex;
    justify-content: space-between;
    align-items: center;

    position: fixed;
    top: 32px;
    left: 50%;
    transform: translateX(-50%);

    width: calc(100% - 80px);
    max-width: 1360px;

    z-index: 100;
    pointer-events: none;
}

header>* {
    pointer-events: auto;
}

.logo svg {
    width: 40px;
    height: 40px;
}

/**
** NAV
**/
.block-nav {
    position: fixed;
    top: 0;
    left: 0;
    transform: none;
    width: 100%;
    max-width: none;
    margin: 0;
    pointer-events: auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: var(--spacing-16) var(--spacing-120);
    background-color: transparent;
    border-color: transparent;
    transition: background-color 1s var(--easing-inout), border-color 1s var(--easing-inout);
    z-index: 100;
    overflow: hidden;
}

.block-nav.scrolled {
    background-color: var(--layer-ground-level-0);
    border-bottom: 1px solid var(--border-low);

}

body:has(.block-nav) .main-container {
    padding-top: 82px;
}

.block-nav .nav-identity {
    display: flex;
    gap: var(--spacing-8);
    align-items: center;
    font-size: var(--body-sm-size);
    text-decoration: none;
}

.block-nav .nav-name {
    font-weight: 700;
    color: var(--text-high);
    line-height: 1;
}

.block-nav .nav-role {
    font-weight: 400;
    color: var(--text-low);
    line-height: 1;
}

.block-nav .nav-links {
    display: flex;
    gap: var(--spacing-24);
    font-weight: 500;
    color: var(--text-high);
}

nav {
    display: flex;
    gap: 32px;
}

.nav-link {
    text-decoration: none;
    color: var(--text-high);
    font-size: var(--body-sm-size);
    position: relative;
    display: inline-block;
    overflow: hidden;
    letter-spacing: var(--body-sm-letter-spacing);
}

.nav-link .nav-primary,
.nav-link .nav-secondary {
    display: flex;
    transition: transform 0.4s var(--easing-inout);
}

.nav-link .nav-secondary {
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
}

.nav-link .nav-primary span,
.nav-link .nav-secondary span {
    display: inline-block;
    transition: transform 0.4s var(--easing-inout);
    transition-delay: calc(var(--i) * 0.02s);
}

.nav-link:hover .nav-primary span {
    transform: translateY(-100%);
}

.nav-link:hover .nav-secondary span {
    transform: translateY(-100%);
}

/**
** BACKGROUND
**/
.topo-container {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 80%;
    z-index: -1;
    pointer-events: none;
    overflow: hidden;
}

#topoCanvas {
    position: absolute;
    left: 0;
    width: 100%;
    height: 100%;
}

.topo-overlay {
    position: absolute;
    inset: 0;
    background: linear-gradient(to bottom, #f1f1f200 33%, var(--layer-ground-level-0) 100%) !important;
    z-index: 1;
}

/**
** HERO
**/
.hero {
    width: 100%;
    height: 50vh;
    min-height: 320px;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    align-items: flex-start;
    position: relative;
    box-sizing: border-box;
}

.hero-content {
    max-width: 920px;
    display: flex;
    flex-direction: column;
    gap: var(--spacing-32);
    z-index: 10;
    color: var(--amber-800);
}


/**
** CAROUSEL
**/
.carousel-interaction-wrapper {
    width: 99.5vw;
    margin-left: calc(50% - 50vw);
    position: relative;
    user-select: none;
    overscroll-behavior-x: none;
    cursor: url('../images/Common/point.svg') 12 12, grab;
}

.carousel-interaction-wrapper.is-dragging {
    cursor: url('../images/Common/cursor-LR-3.svg') 20 12, grabbing !important;
}

.carousel-interaction-wrapper.is-dragging .carousel-item {
    cursor: url('../images/Common/cursor-LR-3.svg') 20 12, grabbing !important;
}

.sticky-view-port {
    /* Pinning is now handled by GSAP on the wrapper */
    height: 100vh;
    width: 100%;
    overflow: hidden;
    display: flex;
    align-items: center;
}

.carousel-container {
    display: flex;
    gap: 12px;
    padding-bottom: 0;
    width: max-content;
    overflow-x: visible;

    padding-left: max(var(--spacing-48), calc((100vw - 1440px) / 2 + 40px));
    padding-right: 40px;
    padding-top: 56px;
}

.card-link {
    text-decoration: none;
    color: inherit;
    display: flex;
    width: 100%;
    height: 100%;
    flex-direction: column;
    gap: 4px;
}

.carousel-item {
    flex: 0 0 auto;
    width: 480px;
    position: relative;

    overflow: visible;
    display: flex;
    flex-direction: column;
    gap: 8px;
    opacity: var(--item-opacity, 0);
    transform: translateY(var(--item-y, 100px));
    transition: filter 0.6s var(--easing-inout);
}

.carousel-container .carousel-item:hover {
    opacity: 1;
}

.card-image {
    width: 100%;
    height: 60vh;
    border-radius: var(--image-border-radius);
    overflow: hidden;
    position: relative;
    transition: transform 0.8s var(--easing-in), background-color 0.8s var(--easing-in);
    background-color: var(--gray-100);
    border: 1px solid var(--border-low);
    will-change: background-color, transform;
    cursor: url(../images/Common/cursor-open-5.svg) 12 12, auto;
}

.is-dragging .card-image {
    cursor: url('../images/Common/cursor-LR-3.svg') 22 12, auto;
}

.card-image:hover {
    background-color: var(--amber-500);
}

.card-bg {
    position: absolute;
    inset: -30px;
    background-size: cover;
    background-position: center;
    background-image: inherit;
    transform: translate(var(--bg-tx, 0px), var(--bg-ty, 0px));
    scale: 1.02;
    transition: scale 1.2s var(--easing-in);
    z-index: 0;
    will-change: transform, scale;
}

.carousel-item:hover .card-bg {
    scale: 1.04;
}

.card-overlay {
    position: absolute;
    inset: 0;
    background: transparent;
    z-index: 1;
}

.card-content {
    padding: var(--spacing-12);
    display: flex;
    flex-direction: row;
    justify-content: left;
    align-items: center;
    gap: var(--spacing-8);
    z-index: 2;
    pointer-events: none;
}

.card-title {
    font-size: var(--body-sm-size);
    font-weight: 700;
    line-height: 1;
    color: var(--text-high);
    margin: 0;
}

.card-title::after {
    content: "";
    display: inline-block;
    width: 4px;
    height: 4px;
    background-color: var(--text-low);
    border-radius: 50%;
    margin-left: 8px;
    vertical-align: middle;
}

.card-subtitle {
    font-size: var(--body-sm-size);
    font-weight: 450;
    line-height: 1;
    color: var(--text-low);
    margin: 0;
}

/**
** CONTACT
**/
.block-contact {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    /* padding: var(--spacing-48) var(--spacing-24); */
    max-width: 816px;
    margin: 0 auto;
}



/**
** CONTACT
**/

.contact-block {
    display: flex;
    flex-direction: column;
    align-items: center;
    /* padding: var(--spacing-48) var(--spacing-120); */
    gap: var(--spacing-32);
    width: 100%;
    max-width: 1648px;
    z-index: 10;
}

.contact-title {
    font-size: var(--display-small-size);
    font-weight: 700;
    line-height: 1;
    color: var(--text-high);
    text-align: center;
    margin-bottom: 0;
}

.contact-links-grid {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    max-width: 1046px;
}

.contact-links-group {
    display: flex;
    align-items: center;
    width: 100%;
    justify-content: center;
    gap: var(--spacing-24);
}

.contact-link {
    display: flex;
    align-items: center;
    gap: var(--spacing-4);
    text-decoration: none;
    color: var(--text-high);
    font-size: var(--caption-lg-size);
    font-weight: 500;
    transition: opacity 0.2s;
}

.contact-link:hover {
    opacity: 0.7;
}

.contact-link.email-link {
    gap: var(--spacing-8);
}

.icon-wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 20px;
    height: 20px;
    overflow: hidden;
}

.icon-wrapper img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.contact-indicator {
    background-color: var(--icon-highlight, #d5a000);
    height: 10px;
    width: 64px;
}

.contact-signature {
    display: flex;
    align-items: center;
    gap: var(--spacing-12);
}

.contact-name {
    font-weight: 700;
    color: var(--text-medium);
    font-size: var(--caption-lg-size);
}

.contact-role {
    font-weight: 400;
    color: var(--text-low);
    font-size: var(--caption-lg-size);
}

/**
** ERROR PAGE
**/
.error-page-body {
    overflow: hidden;
}

.error-page {
    height: 80vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
}

.error-content {
    max-width: 600px;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 32px;
    z-index: 10;
}

.error-svg {
    width: 471px;
    height: auto;
    max-width: 100%;
}

.error-message {
    font-size: var(--body-xl-size);
    color: var(--text-medium);
}

/***
****
**** RESPONSIVE MAX-WIDTH: 768px
****
***/
@media (max-width: 768px) {
    :root {
        --image-border-radius: 24px;
    }

    .logo img {
        width: 40px;
        height: 40px;
    }

    .main-container {
        padding: 0px;
    }

    header {
        top: 0;
        width: 100%;
        padding: 16px 32px;
        background: linear-gradient(180deg, #ffffff, transparent) 100%;
    }

    nav {
        flex-wrap: wrap;
        justify-content: flex-start;
        gap: 24px;
    }

    .nav-link {
        font-size: 16px;
    }

    .block-nav {
        padding: var(--spacing-16) var(--spacing-24);
        align-items: flex-end;
    }

    /* body:has(.block-nav) .main-container {
        padding-top: 80 px;
    } */

    .block-nav .nav-identity {
        flex-direction: column;
        align-items: flex-start;
        gap: 1px;
    }

    .block-nav .nav-name,
    .block-nav .nav-role,
    .block-nav .nav-links .nav-link {
        font-size: var(--body-size);
    }

    .block-nav .nav-links {
        gap: var(--spacing-12);
    }

    .hero {
        padding: 180px 24px 0 24px;
        height: 80vh;
    }

    .carousel-item {
        width: 100%;
        max-width: none;
        min-width: 0;
        gap: 8px;
    }

    .card-image {
        height: 257px;
        border-radius: var(--image-border-radius);
        border: 1px solid var(--border-low);
    }

    .card-content {
        display: flex;
        flex-direction: row;
        align-items: center;
        padding: 8px;
        gap: 8px;
        width: 100%;
        position: relative;
    }

    .card-title {
        font-size: var(--body-sm-size);
        line-height: 1;
        white-space: nowrap;
        flex-shrink: 0;
        margin: 0;
    }

    .card-title::after {
        content: "";
        display: inline-block;
        width: 4px;
        height: 4px;
        background-color: var(--text-low);
        border-radius: 50%;
        margin-left: 8px;
        vertical-align: middle;
    }

    .card-subtitle {
        font-size: var(--body-sm-size);
        line-height: 1;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
        margin: 0;
    }

    .card-content::after {
        content: "";
        display: block;
        width: 20px;
        height: 20px;
        background-image: url('../images/Common/Arrow-Up-Right.svg');
        background-size: contain;
        background-repeat: no-repeat;
        background-position: center;
        margin-left: auto;
        flex-shrink: 0;
    }

    .carousel-container {
        display: flex;
        flex-direction: column;
        gap: var(--spacing-32);
        padding-top: var(--spacing-48);
        padding-left: var(--spacing-24);
        padding-right: var(--spacing-24);
        width: 100%;
    }

    .sticky-view-port {
        position: relative;
        height: auto;
        overflow: visible;
        display: block;
    }

    .contact-block {
        padding: var(--spacing-80) var(--spacing-24) var(--spacing-48);
        gap: var(--spacing-32);
        align-items: flex-start;
    }

    .home-page .block-contact {
        padding-top: var(--spacing-96);
    }

    .contact-title {
        font-size: var(--display-md-size);
        text-align: left;
    }



    .contact-links-grid {
        display: block;
        width: 100%;
    }

    .contact-links-group {
        display: grid;
        grid-template-columns: auto auto auto;
        row-gap: var(--spacing-12);
        column-gap: var(--spacing-24);
        justify-content: start;
        align-items: center;
        width: 100%;
    }

    .contact-link.email-link {
        grid-column: 1 / -1;
    }

    .contact-indicator {
        height: 7px;
        width: 48px;
    }

    .contact-signature {
        flex-direction: column;
        align-items: flex-start;
        gap: 1px;
    }

    .error-page {
        height: 70vh;
        padding: 0 24px;
        top: 0;
    }

    .error-svg {
        width: 280px;
    }

    .error-message {
        font-size: 18px;
        line-height: 1.4;
    }

    .error-cta {
        font-size: 19px;
        line-height: 1.4;
    }

    .error-content {
        gap: 24px;
    }
}

/***
****
**** RESPONSIVE MIN-WIDTH: 2048px
****
***/
@media (min-width: 2048px) {
    .main-container {
        max-width: 1920px;
        padding: 60px;
    }

    .hero h1 {
        font-size: var(--display-xl-size);
        line-height: var(--display-xl-line-height);
    }

    .intro-text,
    .sub-text {
        font-size: var(--body-2xl-size);
        line-height: var(--body-2xl-size);
    }

    .hero-content {
        max-width: 1200px;
        gap: var(--spacing-48)
    }

    .hero {
        min-height: 66vh;
    }

    header {
        max-width: 1800px;
    }

    .carousel-container {
        padding-left: max(60px, calc((100vw - 1920px) / 2 + 60px));
    }

    .carousel-item {
        width: 600px;
    }
}